{
  "x-generator": "On Key REST API Docs Generator",
  "openapi": "3.0.0",
  "info": {
    "title": "On Key BI  API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "{scheme}://{server}:{port}/api/tenants/{client}/{connection}",
      "description": "On Key API Server",
      "variables": {
        "scheme": {
          "default": "https",
          "description": "HTTP scheme"
        },
        "server": {
          "default": "<variable>",
          "description": "Server host"
        },
        "port": {
          "default": "443",
          "description": "Port"
        },
        "client": {
          "default": "<variable>",
          "description": "Client"
        },
        "connection": {
          "default": "<variable>",
          "description": "Connection/Environment (i.e. prod, qa)"
        }
      }
    }
  ],
  "paths": {
    "/Modules/BI/Insights/PortalUrl": {
      "get": {
        "tags": [
          "Insights"
        ],
        "summary": "Get the Insights Portal Url for the current authenticated user",
        "description": "",
        "operationId": "GetInsightsPortalUrl",
        "responses": {
          "200": {
            "description": "Success response - body contains Insights",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetReportUrlResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/Insights/Users/Available": {
      "get": {
        "tags": [
          "Insights"
        ],
        "summary": "Get a list of available Insights User resources",
        "description": "",
        "operationId": "GetInsightsUsersAvailable",
        "responses": {
          "200": {
            "description": "Success response - body contains Insights collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetInsightsUsersAvailableResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/IntegrationToken": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get Report Server Integration Token",
        "description": "",
        "operationId": "GetReportServerIntegrationToken",
        "parameters": [
          {
            "name": "EntityType",
            "in": "query",
            "description": "Filter reports by Entity Type",
            "schema": {
              "nullable": true,
              "oneOf": [
                {
                  "$ref": "#/components/schemas/EntityType"
                }
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Report",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetReportServerIntegrationTokenResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/Url": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get the Report Server Url to view the Integration Portal for the current authenticated user",
        "description": "",
        "operationId": "GetReportServerUrl",
        "responses": {
          "200": {
            "description": "Success response - body contains Report",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetReportUrlResourceActionResponse2"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/ViewReportUrl": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get the Report Server Url to view a Report for the current authenticated user",
        "description": "",
        "operationId": "GetReportServerViewReportUrl",
        "responses": {
          "200": {
            "description": "Success response - body contains Report",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetViewReportUrlResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/Dashboards": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get a list of Report Server Dashboard resources",
        "description": "",
        "operationId": "GetReportServerDashboards",
        "parameters": [
          {
            "name": "EntityType",
            "in": "query",
            "description": "Filter reports by Entity Type",
            "schema": {
              "nullable": true,
              "oneOf": [
                {
                  "$ref": "#/components/schemas/EntityType"
                }
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Report collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetReportServerDashboardsResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/ReportLanguages": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get a list of Report Server Report Language resources",
        "description": "",
        "operationId": "GetReportServerReportLanguages",
        "responses": {
          "200": {
            "description": "Success response - body contains Report collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetReportServerReportLanguageResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/Reports": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get a list of Report Server Report resources",
        "description": "",
        "operationId": "GetReportServerReports",
        "parameters": [
          {
            "name": "EntityType",
            "in": "query",
            "description": "Filter reports by Entity Type",
            "schema": {
              "nullable": true,
              "oneOf": [
                {
                  "$ref": "#/components/schemas/EntityType"
                }
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Report collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetReportServerReportsResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/Roles": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get a list of Report Server Role resources",
        "description": "",
        "operationId": "GetReportServerRoles",
        "responses": {
          "200": {
            "description": "Success response - body contains Report collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetReportServerRolesResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/Tags": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get a list of Report Server Tag resources",
        "description": "",
        "operationId": "GetReportServerTags",
        "responses": {
          "200": {
            "description": "Success response - body contains Report collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetReportServerTagsResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/UserInterfaceLanguages": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get a list of Report Server Report Language resources",
        "description": "",
        "operationId": "GetReportServerUserInterfaceLanguages",
        "responses": {
          "200": {
            "description": "Success response - body contains Report collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetReportServerUserInterfaceLanguageResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/UserDefinedQueries/{id}": {
      "get": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Get a User Defined Query resource.",
        "description": "",
        "operationId": "GetUserDefinedQuery",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Defined Query Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains User Defined Query",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetUserDefinedQueryResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Update an existing User Defined Query resource.",
        "description": "",
        "operationId": "UpdateUserDefinedQuery",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Defined Query Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateUserDefinedQueryResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - User Defined Query was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Delete an existing User Defined Query resource.",
        "description": "",
        "operationId": "DeleteUserDefinedQuery",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Defined Query Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteUserDefinedQueryResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - User Defined Query was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/UserDefinedQueries/{id}/Execute": {
      "get": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Execute the custom User Defined Query to get the query results",
        "description": "",
        "operationId": "ExecuteUserDefinedQuery",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains User Defined Query definition",
            "content": {
              "application/vnd.onkey.userdefinedquerypage+json": {
                "schema": {
                  "$ref": "#/components/schemas/UserDefinedQueryPageSchema"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/UserDefinedQueries": {
      "get": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Get a collection of User Defined Query resources.",
        "description": "",
        "operationId": "GetUserDefinedQueryCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable User Defined Query collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetUserDefinedQueryCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Create a new User Defined Query resource.",
        "description": "",
        "operationId": "CreateUserDefinedQuery",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateUserDefinedQueryResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/UserDefinedQueries/Lookups/LookupUserDefinedQueryChangePermissionTree": {
      "get": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Lookup the permission set for changing the User Defined Query.",
        "description": "",
        "operationId": "LookupUserDefinedQueryChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/UserDefinedQueryChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/UserDefinedQueries/Lookups/LookupUserDefinedQueryInsertPermissionTree": {
      "get": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Lookup the permission set for creating the User Defined Query.",
        "description": "",
        "operationId": "LookupUserDefinedQueryInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/UserDefinedQueryInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/UserDefinedQueries/Batch": {
      "delete": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Delete a collection of existing User Defined Query resources.",
        "description": "",
        "operationId": "BatchDeleteUserDefinedQuery",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteCategoryResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - User Defined Query batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/UserDefinedQueries/{id}/Active": {
      "patch": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Change the IsActive status for an existing User Defined Query resource.",
        "description": "",
        "operationId": "ChangeUserDefinedQueryIsActive",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Defined Query Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeUserDefinedQueryIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/UserDefinedQueries/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Change the PermissionTree for an existing User Defined Query resource.",
        "description": "",
        "operationId": "ChangeUserDefinedQueryPermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Defined Query Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeUserDefinedQueryPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/UserDefinedQueries/VerifyAll": {
      "post": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Verify the SQL of all the User Defined Query resources",
        "description": "",
        "operationId": "VerifyAllUserDefinedQueries",
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/UserDefinedQueries/{id}/Verify": {
      "post": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Verify the SQL of the User Defined Query resource",
        "description": "",
        "operationId": "VerifyUserDefinedQuery",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Defined Query Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/UserDefinedQueries/Batch/Active": {
      "patch": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Change the IsActive status for a collection of existing User Defined Query resources.",
        "description": "",
        "operationId": "BatchChangeUserDefinedQueryIsActive",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeUserDefinedQueryIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/UserDefinedQueries/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Change the PermissionTree status for a collection of existing User Defined Query resources.",
        "description": "",
        "operationId": "BatchChangeUserDefinedQueryPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeUserDefinedQueryPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/BI/UserDefinedQueries/Batch/{ids}/Verify": {
      "post": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Verify the SQL for the collection of User Defined Query resources",
        "description": "",
        "operationId": "BatchVerifyUserDefinedQuery",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of User Defined Query id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "OperationExecutionMode": {
        "type": "string",
        "description": "",
        "x-enumNames": [
          "AllOrNone",
          "PerRecord"
        ],
        "enum": [
          "AllOrNone",
          "PerRecord"
        ]
      },
      "SeverityType": {
        "type": "string",
        "description": "",
        "nullable": false,
        "x-enumNames": [
          "Error",
          "Warning",
          "Information"
        ],
        "enum": [
          "error",
          "warning",
          "information"
        ]
      },
      "NotificationItemSchema": {
        "title": "NotificationItemSchema",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "code": {
            "title": "code",
            "type": "string",
            "description": "Unique code for message",
            "nullable": false
          },
          "message": {
            "title": "message",
            "type": "string",
            "nullable": false
          },
          "objectId": {
            "title": "objectId",
            "type": "string",
            "description": "Optional id of record to which the message applies",
            "nullable": true
          },
          "objectType": {
            "title": "objectType",
            "type": "string",
            "format": "enum",
            "nullable": true,
            "x-formatSpecifier": "EntityType"
          },
          "properties": {
            "title": "properties",
            "type": "array",
            "description": "Collection of properties referenced by the message using property path syntax",
            "nullable": true,
            "example": [
              "Asset->Code"
            ],
            "items": {
              "type": "string"
            }
          },
          "severity": {
            "$ref": "#/components/schemas/SeverityType"
          },
          "userObjectId": {
            "title": "userObjectId",
            "type": "string",
            "description": "Optional provided unique external record identifier to echo back with message",
            "nullable": true
          }
        }
      },
      "NotificationSchema": {
        "title": "NotificationSchema",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Collection of messages",
            "nullable": false,
            "items": {
              "$ref": "#/components/schemas/NotificationItemSchema"
            }
          }
        }
      },
      "EntityPermissionViolationSchema": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "permissionTreeId"
        ],
        "properties": {
          "permissionId": {
            "type": "integer",
            "format": "int64"
          },
          "permissionTreeId": {
            "type": "integer",
            "format": "int64",
            "nullable": true
          },
          "propertyPaths": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "EntityPhraseTranslationSchema": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "translation"
        ],
        "properties": {
          "phrase": {
            "type": "string"
          },
          "translation": {
            "type": "string",
            "nullable": true
          },
          "propertyPaths": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "Link": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "href",
          "method"
        ],
        "properties": {
          "doc": {
            "type": "string",
            "description": "Documentation endpoint that describes the link",
            "nullable": true
          },
          "href": {
            "type": "string",
            "description": "Endpoint to invoke link",
            "minLength": 1
          },
          "mapping": {
            "type": "array",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/LinkMapping"
            }
          },
          "method": {
            "type": "string",
            "description": "HTTP method used for link",
            "minLength": 1
          },
          "module": {
            "type": "string",
            "description": "Module used by link",
            "nullable": true
          },
          "rel": {
            "type": "string",
            "nullable": true
          },
          "resource": {
            "type": "string",
            "description": "Resource used by link",
            "nullable": true
          },
          "resourceAction": {
            "type": "string",
            "description": "Resource Action used by link",
            "nullable": true
          },
          "title": {
            "type": "string",
            "description": "Title",
            "nullable": true
          },
          "type": {
            "description": "Type of link",
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/ResourceLinkType"
              }
            ]
          }
        }
      },
      "LinkMapping": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "source"
        ],
        "properties": {
          "source": {
            "type": "string"
          },
          "target": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "ResourceLinkType": {
        "type": "string",
        "description": "",
        "x-enumNames": [
          "Association",
          "PrimaryAction",
          "CustomAction",
          "Collection",
          "Detail",
          "Lookup",
          "Documentation",
          "Navigation",
          "Specification"
        ],
        "enum": [
          "association",
          "primaryAction",
          "customAction",
          "collection",
          "detail",
          "lookup",
          "documentation",
          "navigation",
          "specification"
        ]
      },
      "GetReportUrlResourceActionResponse": {
        "title": "GetReportUrlResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "required": [
          "properties"
        ],
        "properties": {
          "class": {
            "title": "class",
            "type": "string"
          },
          "id": {
            "title": "id",
            "type": "integer",
            "format": "int64",
            "nullable": false,
            "example": 13243893
          },
          "version": {
            "title": "version",
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "example": 1
          },
          "properties": {
            "title": "GetReportUrlResourceActionResponseProperties",
            "type": "object",
            "nullable": false,
            "additionalProperties": false,
            "properties": {
              "url": {
                "title": "url",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "InsightsPortalInfo->Url"
              }
            }
          },
          "permissionViolations": {
            "title": "permissionViolations",
            "type": "array",
            "description": "Permissions violations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPermissionViolationSchema"
            }
          },
          "translations": {
            "title": "translations",
            "type": "array",
            "description": "Custom translations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPhraseTranslationSchema"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          }
        }
      },
      "GetInsightsUsersAvailableResourceActionResponse": {
        "title": "GetInsightsUsersAvailableResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "title": "id",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "InsightsUser->Id"
          },
          "name": {
            "title": "name",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "InsightsUser->Name"
          },
          "userDirectory": {
            "title": "userDirectory",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "InsightsUser->UserDirectory"
          },
          "userId": {
            "title": "userId",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "InsightsUser->UserId"
          }
        }
      },
      "GetInsightsUsersAvailableResourceAction": {
        "title": "GetInsightsUsersAvailableResourceAction",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "count": {
            "title": "count",
            "type": "integer",
            "description": "Number of Insights entities in the collection",
            "format": "int32",
            "nullable": false,
            "example": 2
          },
          "items": {
            "title": "items",
            "type": "array",
            "description": "Collection of Insights entities",
            "items": {
              "$ref": "#/components/schemas/GetInsightsUsersAvailableResourceActionResponse"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          }
        }
      },
      "EntityType": {
        "type": "string",
        "description": "",
        "x-enumNames": [
          "Alarm",
          "NewAlarm",
          "AlarmExpression",
          "AlarmExpressionTask",
          "AlarmAttribute",
          "AlarmDocument",
          "AlarmType",
          "MonitoringPoint",
          "MonitoringPointBoundEvaluationLog",
          "MonitoringPointParameter",
          "MonitoringPointReading",
          "MonitoringPointTrigger",
          "MonitoringPointTriggerExpression",
          "MonitoringPointTriggerExpressionAlarmType",
          "MonitoringPointTriggerExpressionParameter",
          "MonitoringPointTriggerExpressionEvaluation",
          "MonitoringPointTriggerExpressionEvaluationLog",
          "MonitoringPointType",
          "MonitoringPointTypeParameter",
          "MonitoringPointAttribute",
          "MonitoringPointDocument",
          "AuxiliaryAssetTask",
          "AuxiliaryAssetTaskResource",
          "AuxiliaryAssetTaskSpare",
          "AuxiliaryAssetTaskSubTask",
          "RegularAssetComponent",
          "RegularAssetComponentAttribute",
          "RegularAssetComponentDocument",
          "RegularAssetComponentRuleEvaluationFailure",
          "AssetComponent",
          "AssetWarranty",
          "PlaceholderAssetComponent",
          "PlaceholderAssetComponentOptionValue",
          "PlaceholderAssetComponentCondition",
          "PlaceholderAssetMeter",
          "PlaceholderAssetComponentRuleEvaluationFailure",
          "RegularAssetCondition",
          "RegularAssetActiveCondition",
          "AssetFmeca",
          "RegularAssetOptionValue",
          "Asset",
          "RegularAssetAttribute",
          "RegularAssetDocument",
          "RegularAssetFileAttachment",
          "PlaceholderAsset",
          "PlaceholderAssetAttribute",
          "PlaceholderAssetDocument",
          "PlaceholderAssetFileAttachment",
          "PlaceholderAssetRuleEvaluationFailure",
          "PlaceholderAssetResponsibility",
          "PlaceholderAssetCondition",
          "PlaceholderAssetActiveCondition",
          "AssetTask",
          "SetAssetTaskSpareWarehouseEntity",
          "RegularAssetTask",
          "RegularAssetTaskRuleEvaluationFailure",
          "RegularAssetTaskAttribute",
          "RegularAssetTaskAuxiliaryTask",
          "RegularAssetTaskFollowUpTask",
          "RegularAssetTaskFollowUpTaskExpression",
          "RegularAssetTaskSuppressedTask",
          "RegularAssetTaskResource",
          "RegularAssetTaskResourceRuleEvaluationFailure",
          "RegularAssetTaskSpare",
          "RegularAssetTaskSpareRuleEvaluationFailure",
          "RegularAssetTaskSubTask",
          "RegularAssetTaskFileAttachment",
          "AuxiliaryAssetTypeTask",
          "AuxiliaryAssetTypeTaskResource",
          "AuxiliaryAssetTypeTaskSpare",
          "AuxiliaryAssetTypeTaskSubTask",
          "RegularAssetTypeComponent",
          "RegularAssetTypeComponentAttribute",
          "RegularAssetTypeComponentDocument",
          "AssetTypeComponent",
          "PlaceholderAssetTypeComponent",
          "PlaceholderAssetTypeComponentCondition",
          "PlaceholderAssetTypeComponentAttribute",
          "PlaceholderAssetTypeComponentDocument",
          "PlaceholderAssetTypeComponentRuleLink",
          "RegularAssetTypeComponentRuleLink",
          "PlaceholderAssetComponentAttribute",
          "PlaceholderAssetComponentDocument",
          "PlaceholderAssetComponentActiveCondition",
          "AssetTypeFmeca",
          "AssetTypeFunction",
          "AssetFunction",
          "AssetFmecaTask",
          "AssetTypeFmecaTask",
          "AssetTypeFolder",
          "RegularAssetTypeOption",
          "AssetType",
          "PlaceholderAssetType",
          "PlaceholderAssetTypeSpare",
          "PlaceholderAssetTypeAttribute",
          "PlaceholderAssetTypeDocument",
          "PlaceholderAssetTypeResponsibility",
          "PlaceholderAssetTypeRuleLink",
          "RegularAssetTypeTask",
          "RegularAssetTypeTaskAttribute",
          "RegularAssetTypeTaskAuxiliaryTask",
          "RegularAssetTypeTaskCondition",
          "RegularAssetTypeTaskDocument",
          "RegularAssetTypeTaskFollowUpTask",
          "RegularAssetTypeTaskFollowUpTaskExpression",
          "AssetTypeTask",
          "AssetTypeTaskResource",
          "AssetTaskResource",
          "AssetTaskSpare",
          "AssetTypeTaskSpare",
          "RegularAssetTypeTaskResource",
          "RegularAssetTypeTaskRuleLink",
          "RegularAssetTypeTaskSpare",
          "RegularAssetTypeTaskSubTask",
          "RegularAssetTypeTaskSuppressedTask",
          "Condition",
          "ConditionType",
          "Event",
          "FailureCause",
          "FailureCauseType",
          "FailureMechanism",
          "FailureMechanismType",
          "FailureMode",
          "FailureModeType",
          "InPlaceAssetMeter",
          "InPlaceAssetAttribute",
          "InPlaceAssetFileAttachment",
          "InPlaceAssetRuleEvaluationFailure",
          "InPlaceAssetResponsibility",
          "InPlaceAssetSpare",
          "InPlaceAssetType",
          "InPlaceAssetTypeResponsibility",
          "InPlaceAssetTypeRuleLink",
          "InPlaceAssetTypeSpare",
          "InPlaceAsset",
          "Option",
          "OptionCategory",
          "RegularAsset",
          "RegularAssetTaskDocument",
          "RegularAssetMeter",
          "RegularAssetResponsibility",
          "RegularAssetMonitoringPointTrigger",
          "RegularAssetSpare",
          "RegularAssetTaskCondition",
          "RegularAssetType",
          "RegularAssetTypeAttribute",
          "RegularAssetTypeDocument",
          "RegularAssetTypeCondition",
          "PlaceholderAssetTypeCondition",
          "RegularAssetTypeRule",
          "RegularAssetTypeResponsibility",
          "RegularAssetTypeMonitoringPointTrigger",
          "RegularAssetTypeSpare",
          "RepairType",
          "Rule",
          "RuleCategory",
          "RuleOption",
          "StandardTask",
          "StandardTaskSpare",
          "StandardTaskSubTask",
          "StandardTaskResource",
          "StandardTaskAttribute",
          "StandardTaskDocument",
          "TaskImportance",
          "TaskInterval",
          "TaskIntervalType",
          "TaskRollUpPoint",
          "TypeOfWork",
          "RegularAssetTypeTaskSpareRuleLink",
          "InPlaceAssetTypeAttribute",
          "RegularAssetTypeTaskResourceRuleLink",
          "PlaceholderAssetSpare",
          "RegularAssetMonitoringPointTriggerParameter",
          "AssetSpare",
          "AssetTypeSpare",
          "AssetMeter",
          "AssetConsumption",
          "RegularAssetConsumption",
          "PlaceholderAssetConsumption",
          "InPlaceAssetConsumption",
          "WarrantyType",
          "RegularAssetTypeFileAttachment",
          "Meter",
          "MeterAttribute",
          "MeterDocument",
          "MeterReading",
          "PredictedMeterReading",
          "TimeLossCategory",
          "TimeLossReason",
          "TimeLossType",
          "Consumable",
          "AcquisitionStatus",
          "AcquisitionType",
          "DocumentFolder",
          "DocumentRecord",
          "DocumentRecordAttribute",
          "FileAttachment",
          "FileAttachmentCategory",
          "FileAttachmentContentHistory",
          "DocumentRecordFileHistory",
          "Costing",
          "CostingBudget",
          "CostCentre",
          "CostCentreAttribute",
          "CostCentreDocument",
          "CostCentreType",
          "CostElement",
          "CostElementAttribute",
          "CostElementDocument",
          "Currency",
          "BudgetTemplate",
          "BudgetTemplateParameter",
          "FinancialYear",
          "FinancialYearPeriod",
          "GeneralLedger",
          "GeneralLedgerAttribute",
          "GeneralLedgerDocument",
          "CurrencyRate",
          "Budget",
          "BudgetParameter",
          "AddressType",
          "Approval",
          "Attribute",
          "AttributeAllowedValue",
          "Calendar",
          "CalendarDay",
          "CalendarException",
          "CalendarDayHour",
          "Classification",
          "ClassificationAllowedValue",
          "EmailType",
          "Language",
          "OperationalRole",
          "OperationalRoleTemplate",
          "OperationalRoleResource",
          "PhoneNumberType",
          "UserOperationalRole",
          "UserOperationalRoleTemplate",
          "UserOperationalRoleResource",
          "TermsAndCondition",
          "TermsAndConditionVersion",
          "TermsAndConditionOperationalRole",
          "UserTermsAndConditionVersion",
          "Location",
          "LocationAttribute",
          "LocationDocument",
          "LocalisationSet",
          "LocalisationKey",
          "LocalisationTranslation",
          "Phrase",
          "PhraseTranslation",
          "PreconfiguredReason",
          "Site",
          "SiteAttribute",
          "SiteDocument",
          "SiteType",
          "Supplier",
          "SupplierFileAttachment",
          "SupplierAttribute",
          "SupplierDocument",
          "SupplierContactAddress",
          "SupplierContactEmail",
          "SupplierContactPhoneNumber",
          "SupplierResource",
          "SupplierTaxRate",
          "UnitOfMeasurement",
          "SiteResource",
          "SiteContactAddress",
          "SiteContactEmail",
          "SiteContactPhoneNumber",
          "ChangeDataTrigger",
          "ChangeDataTriggerOccurrenceLog",
          "ChangeDataTriggerCriteria",
          "NotificationTemplate",
          "ChangeDataTriggerCriteriaParameter",
          "ChangeDataTriggerNotificationEvent",
          "NotificationTemplateParameter",
          "ChangeDataTriggerNotificationEventAttachment",
          "ChangeDataTriggerNotificationEventAttachmentParameter",
          "RequestType",
          "Category",
          "Commodity",
          "MaterialMaster",
          "MaterialMasterAttribute",
          "MaterialMasterDocument",
          "MaterialMasterBin",
          "MaterialMasterSupplier",
          "MaterialMasterLinkWarehouse",
          "StockItem",
          "StockItemFileAttachment",
          "StockItemAttribute",
          "StockItemDocument",
          "StockItemBin",
          "StockItemSupplier",
          "WarehouseAttribute",
          "Warehouse",
          "WarehouseDocument",
          "Requisition",
          "RequisitionFileAttachment",
          "RequisitionStatus",
          "RequisitionStatusChange",
          "RequisitionStatusAttribute",
          "RequisitionStatusDocument",
          "RequisitionStatusChangeHistory",
          "RequisitionItemTransaction",
          "ApprovalRole",
          "RequisitionAttribute",
          "RequisitionDocument",
          "RequisitionTransaction",
          "RequisitionItem",
          "RequisitionItemFileAttachment",
          "UserSiteApprovalRole",
          "ApprovalWorkflow",
          "ApprovalWorkflowExpression",
          "ApprovalWorkflowExpressionApprovalRole",
          "Competency",
          "Resource",
          "ResourceAttribute",
          "ResourceAddress",
          "ResourceClassification",
          "ResourceCompetency",
          "ResourceDocument",
          "ResourceEmail",
          "ResourcePhoneNumber",
          "ResourceTrade",
          "ResourceTradeCompetency",
          "ResourceTradeFinancialRate",
          "Section",
          "SectionAttribute",
          "SectionDocument",
          "SectionTrade",
          "TradeAttribute",
          "TradeDocument",
          "Trade",
          "TradeCompetency",
          "TradeFinancialRate",
          "ResourceContext",
          "ResourceFileAttachment",
          "AssetImportance",
          "RiskConsequence",
          "RiskConsequenceCategory",
          "RiskModel",
          "RiskModelConsequenceCategory",
          "RiskModelImportance",
          "RiskModelProbability",
          "RiskProbability",
          "WorkOrderImportance",
          "WorkOrderStatus",
          "WorkOrderStatusAttribute",
          "WorkOrderStatusDocument",
          "WorkOrderStatusAllowedChange",
          "WorkOrder",
          "WorkOrderStatusChangeHistory",
          "WorkOrderStatusChange",
          "WorkOrderMerge",
          "WorkOrderSplit",
          "WorkOrderMeter",
          "WorkOrderAttribute",
          "WorkOrderDocument",
          "WorkOrderFileAttachment",
          "WorkOrderTaskFileAttachment",
          "WorkOrderTaskWarranty",
          "WorkOrderTaskSpareFileAttachment",
          "WorkOrderTask",
          "WorkOrderTaskDocument",
          "WorkOrderTaskAdHocCost",
          "WorkOrderMonitoringPoint",
          "WorkOrderTaskMonitoringPoint",
          "WorkOrderTaskSpare",
          "WorkOrderTaskSubTask",
          "WorkOrderTaskResource",
          "WorkOrderTaskResourceUsage",
          "DueTask",
          "DueTaskSuppressor",
          "ProposedWorkOrderBatch",
          "ProposedWorkOrder",
          "ProposedWorkOrderTask",
          "ProposedWorkOrderMeter",
          "WorkOrderMovement",
          "WorkOrderTaskMovement",
          "WorkOrderTaskResourceMovement",
          "WorkOrderTaskSpareMovement",
          "WorkOrderTaskSubTaskMovement",
          "WorkOrderCompleteAllTasksLog",
          "WorkRequest",
          "WorkRequestAttribute",
          "WorkRequestDocument",
          "WorkRequestStatus",
          "WorkRequestStatusChange",
          "WorkRequestStatusChangeHistory",
          "WorkRequestFileAttachment",
          "WorkOrderDowntimeLoss",
          "WorkOrderProgressEvent",
          "WorkOrderProgressEventAllowedChange",
          "WorkOrderProgressLog",
          "WorkOrderWarranty",
          "ServiceLevelAgreementClassification",
          "ServiceLevelAgreement",
          "ServiceLevelAgreementMeasure",
          "WorkOrderServiceLevelAgreement",
          "WorkOrderServiceLevelAgreementMeasure",
          "ServiceLevelAgreementMeasureTrigger",
          "ServiceLevelAgreementMeasureFieldAssignment",
          "PermissionTree",
          "User",
          "UserAttribute",
          "UserDocument",
          "UserAuthentication",
          "SecurityRole",
          "SecurityRolePermission",
          "UserSecurityRole",
          "UserCustomPermission",
          "UserOption",
          "BackgroundTask",
          "BackgroundTaskStep",
          "ScheduledBackgroundTask",
          "ScheduledJob",
          "UserDefinedField",
          "UserDefinedFieldPredefinedValue",
          "SystemOption",
          "SystemOptionPageLimit",
          "SystemOptionWorkOrderStatus",
          "SystemOptionDefaultStandardTask",
          "SystemOptionWorkOrderStatusTypeOfWork",
          "SystemOptionReferenceDataViewPermission",
          "SystemOptionFileAttachmentCategory",
          "SystemOptionFileAttachmentFileType",
          "RecordChange",
          "RecordChangeValue",
          "RecordChangeUser",
          "RecordChangeProperty",
          "NotificationEventOutbox",
          "NotificationEventAttachmentOutbox",
          "NotificationOutbox",
          "NotificationOutboxLog",
          "ChangeDataTriggerCriteriaEvaluation",
          "SystemOptionReportServerEntity",
          "SystemOptionReportServerEntityDefaultReport",
          "TemplateMigrationLog",
          "TemplateMigrationLogIntent",
          "ResourceActionMigrationLog",
          "ImportSchema",
          "ImportFile",
          "UserDefinedQuery",
          "ResourceActionCustomisation",
          "TemplateCustomisation",
          "TemplateResource",
          "ClusterSettings",
          "ClusterIdentityProviderSettings",
          "MessageBrokerHost",
          "MessageBrokerTopic",
          "MessageBrokerTopicConsumer",
          "TenantSettings",
          "TenantChangeDataSubscriptionSettings",
          "TenantIdentityProviderSettings",
          "TenantJobSettings",
          "TenantFileContentStoreLocationSettings",
          "TenantFileContentStoreFileTypeGroupSettings",
          "TenantFileContentStoreFileTypeSettings",
          "ClusterFeatureToggle",
          "TenantFeatureToggle",
          "TenantHealthCheck",
          "TenantMachineHealthCheck",
          "ClusterHealthCheck",
          "ClusterMachineHealthCheck",
          "ClusterCapacitySlot",
          "TenantChangeLogCleanupExpressionSettings",
          "ClusterJobSettings",
          "Ignore"
        ],
        "enum": [
          "Alarm",
          "NewAlarm",
          "AlarmExpression",
          "AlarmExpressionTask",
          "AlarmAttribute",
          "AlarmDocument",
          "AlarmType",
          "MonitoringPoint",
          "MonitoringPointBoundEvaluationLog",
          "MonitoringPointParameter",
          "MonitoringPointReading",
          "MonitoringPointTrigger",
          "MonitoringPointTriggerExpression",
          "MonitoringPointTriggerExpressionAlarmType",
          "MonitoringPointTriggerExpressionParameter",
          "MonitoringPointTriggerExpressionEvaluation",
          "MonitoringPointTriggerExpressionEvaluationLog",
          "MonitoringPointType",
          "MonitoringPointTypeParameter",
          "MonitoringPointAttribute",
          "MonitoringPointDocument",
          "AuxiliaryAssetTask",
          "AuxiliaryAssetTaskResource",
          "AuxiliaryAssetTaskSpare",
          "AuxiliaryAssetTaskSubTask",
          "RegularAssetComponent",
          "RegularAssetComponentAttribute",
          "RegularAssetComponentDocument",
          "RegularAssetComponentRuleEvaluationFailure",
          "AssetComponent",
          "AssetWarranty",
          "PlaceholderAssetComponent",
          "PlaceholderAssetComponentOptionValue",
          "PlaceholderAssetComponentCondition",
          "PlaceholderAssetMeter",
          "PlaceholderAssetComponentRuleEvaluationFailure",
          "RegularAssetCondition",
          "RegularAssetActiveCondition",
          "AssetFmeca",
          "RegularAssetOptionValue",
          "Asset",
          "RegularAssetAttribute",
          "RegularAssetDocument",
          "RegularAssetFileAttachment",
          "PlaceholderAsset",
          "PlaceholderAssetAttribute",
          "PlaceholderAssetDocument",
          "PlaceholderAssetFileAttachment",
          "PlaceholderAssetRuleEvaluationFailure",
          "PlaceholderAssetResponsibility",
          "PlaceholderAssetCondition",
          "PlaceholderAssetActiveCondition",
          "AssetTask",
          "SetAssetTaskSpareWarehouseEntity",
          "RegularAssetTask",
          "RegularAssetTaskRuleEvaluationFailure",
          "RegularAssetTaskAttribute",
          "RegularAssetTaskAuxiliaryTask",
          "RegularAssetTaskFollowUpTask",
          "RegularAssetTaskFollowUpTaskExpression",
          "RegularAssetTaskSuppressedTask",
          "RegularAssetTaskResource",
          "RegularAssetTaskResourceRuleEvaluationFailure",
          "RegularAssetTaskSpare",
          "RegularAssetTaskSpareRuleEvaluationFailure",
          "RegularAssetTaskSubTask",
          "RegularAssetTaskFileAttachment",
          "AuxiliaryAssetTypeTask",
          "AuxiliaryAssetTypeTaskResource",
          "AuxiliaryAssetTypeTaskSpare",
          "AuxiliaryAssetTypeTaskSubTask",
          "RegularAssetTypeComponent",
          "RegularAssetTypeComponentAttribute",
          "RegularAssetTypeComponentDocument",
          "AssetTypeComponent",
          "PlaceholderAssetTypeComponent",
          "PlaceholderAssetTypeComponentCondition",
          "PlaceholderAssetTypeComponentAttribute",
          "PlaceholderAssetTypeComponentDocument",
          "PlaceholderAssetTypeComponentRuleLink",
          "RegularAssetTypeComponentRuleLink",
          "PlaceholderAssetComponentAttribute",
          "PlaceholderAssetComponentDocument",
          "PlaceholderAssetComponentActiveCondition",
          "AssetTypeFmeca",
          "AssetTypeFunction",
          "AssetFunction",
          "AssetFmecaTask",
          "AssetTypeFmecaTask",
          "AssetTypeFolder",
          "RegularAssetTypeOption",
          "AssetType",
          "PlaceholderAssetType",
          "PlaceholderAssetTypeSpare",
          "PlaceholderAssetTypeAttribute",
          "PlaceholderAssetTypeDocument",
          "PlaceholderAssetTypeResponsibility",
          "PlaceholderAssetTypeRuleLink",
          "RegularAssetTypeTask",
          "RegularAssetTypeTaskAttribute",
          "RegularAssetTypeTaskAuxiliaryTask",
          "RegularAssetTypeTaskCondition",
          "RegularAssetTypeTaskDocument",
          "RegularAssetTypeTaskFollowUpTask",
          "RegularAssetTypeTaskFollowUpTaskExpression",
          "AssetTypeTask",
          "AssetTypeTaskResource",
          "AssetTaskResource",
          "AssetTaskSpare",
          "AssetTypeTaskSpare",
          "RegularAssetTypeTaskResource",
          "RegularAssetTypeTaskRuleLink",
          "RegularAssetTypeTaskSpare",
          "RegularAssetTypeTaskSubTask",
          "RegularAssetTypeTaskSuppressedTask",
          "Condition",
          "ConditionType",
          "Event",
          "FailureCause",
          "FailureCauseType",
          "FailureMechanism",
          "FailureMechanismType",
          "FailureMode",
          "FailureModeType",
          "InPlaceAssetMeter",
          "InPlaceAssetAttribute",
          "InPlaceAssetFileAttachment",
          "InPlaceAssetRuleEvaluationFailure",
          "InPlaceAssetResponsibility",
          "InPlaceAssetSpare",
          "InPlaceAssetType",
          "InPlaceAssetTypeResponsibility",
          "InPlaceAssetTypeRuleLink",
          "InPlaceAssetTypeSpare",
          "InPlaceAsset",
          "Option",
          "OptionCategory",
          "RegularAsset",
          "RegularAssetTaskDocument",
          "RegularAssetMeter",
          "RegularAssetResponsibility",
          "RegularAssetMonitoringPointTrigger",
          "RegularAssetSpare",
          "RegularAssetTaskCondition",
          "RegularAssetType",
          "RegularAssetTypeAttribute",
          "RegularAssetTypeDocument",
          "RegularAssetTypeCondition",
          "PlaceholderAssetTypeCondition",
          "RegularAssetTypeRule",
          "RegularAssetTypeResponsibility",
          "RegularAssetTypeMonitoringPointTrigger",
          "RegularAssetTypeSpare",
          "RepairType",
          "Rule",
          "RuleCategory",
          "RuleOption",
          "StandardTask",
          "StandardTaskSpare",
          "StandardTaskSubTask",
          "StandardTaskResource",
          "StandardTaskAttribute",
          "StandardTaskDocument",
          "TaskImportance",
          "TaskInterval",
          "TaskIntervalType",
          "TaskRollUpPoint",
          "TypeOfWork",
          "RegularAssetTypeTaskSpareRuleLink",
          "InPlaceAssetTypeAttribute",
          "RegularAssetTypeTaskResourceRuleLink",
          "PlaceholderAssetSpare",
          "RegularAssetMonitoringPointTriggerParameter",
          "AssetSpare",
          "AssetTypeSpare",
          "AssetMeter",
          "AssetConsumption",
          "RegularAssetConsumption",
          "PlaceholderAssetConsumption",
          "InPlaceAssetConsumption",
          "WarrantyType",
          "RegularAssetTypeFileAttachment",
          "Meter",
          "MeterAttribute",
          "MeterDocument",
          "MeterReading",
          "PredictedMeterReading",
          "TimeLossCategory",
          "TimeLossReason",
          "TimeLossType",
          "Consumable",
          "AcquisitionStatus",
          "AcquisitionType",
          "DocumentFolder",
          "DocumentRecord",
          "DocumentRecordAttribute",
          "FileAttachment",
          "FileAttachmentCategory",
          "FileAttachmentContentHistory",
          "DocumentRecordFileHistory",
          "Costing",
          "CostingBudget",
          "CostCentre",
          "CostCentreAttribute",
          "CostCentreDocument",
          "CostCentreType",
          "CostElement",
          "CostElementAttribute",
          "CostElementDocument",
          "Currency",
          "BudgetTemplate",
          "BudgetTemplateParameter",
          "FinancialYear",
          "FinancialYearPeriod",
          "GeneralLedger",
          "GeneralLedgerAttribute",
          "GeneralLedgerDocument",
          "CurrencyRate",
          "Budget",
          "BudgetParameter",
          "AddressType",
          "Approval",
          "Attribute",
          "AttributeAllowedValue",
          "Calendar",
          "CalendarDay",
          "CalendarException",
          "CalendarDayHour",
          "Classification",
          "ClassificationAllowedValue",
          "EmailType",
          "Language",
          "OperationalRole",
          "OperationalRoleTemplate",
          "OperationalRoleResource",
          "PhoneNumberType",
          "UserOperationalRole",
          "UserOperationalRoleTemplate",
          "UserOperationalRoleResource",
          "TermsAndCondition",
          "TermsAndConditionVersion",
          "TermsAndConditionOperationalRole",
          "UserTermsAndConditionVersion",
          "Location",
          "LocationAttribute",
          "LocationDocument",
          "LocalisationSet",
          "LocalisationKey",
          "LocalisationTranslation",
          "Phrase",
          "PhraseTranslation",
          "PreconfiguredReason",
          "Site",
          "SiteAttribute",
          "SiteDocument",
          "SiteType",
          "Supplier",
          "SupplierFileAttachment",
          "SupplierAttribute",
          "SupplierDocument",
          "SupplierContactAddress",
          "SupplierContactEmail",
          "SupplierContactPhoneNumber",
          "SupplierResource",
          "SupplierTaxRate",
          "UnitOfMeasurement",
          "SiteResource",
          "SiteContactAddress",
          "SiteContactEmail",
          "SiteContactPhoneNumber",
          "ChangeDataTrigger",
          "ChangeDataTriggerOccurrenceLog",
          "ChangeDataTriggerCriteria",
          "NotificationTemplate",
          "ChangeDataTriggerCriteriaParameter",
          "ChangeDataTriggerNotificationEvent",
          "NotificationTemplateParameter",
          "ChangeDataTriggerNotificationEventAttachment",
          "ChangeDataTriggerNotificationEventAttachmentParameter",
          "RequestType",
          "Category",
          "Commodity",
          "MaterialMaster",
          "MaterialMasterAttribute",
          "MaterialMasterDocument",
          "MaterialMasterBin",
          "MaterialMasterSupplier",
          "MaterialMasterLinkWarehouse",
          "StockItem",
          "StockItemFileAttachment",
          "StockItemAttribute",
          "StockItemDocument",
          "StockItemBin",
          "StockItemSupplier",
          "WarehouseAttribute",
          "Warehouse",
          "WarehouseDocument",
          "Requisition",
          "RequisitionFileAttachment",
          "RequisitionStatus",
          "RequisitionStatusChange",
          "RequisitionStatusAttribute",
          "RequisitionStatusDocument",
          "RequisitionStatusChangeHistory",
          "RequisitionItemTransaction",
          "ApprovalRole",
          "RequisitionAttribute",
          "RequisitionDocument",
          "RequisitionTransaction",
          "RequisitionItem",
          "RequisitionItemFileAttachment",
          "UserSiteApprovalRole",
          "ApprovalWorkflow",
          "ApprovalWorkflowExpression",
          "ApprovalWorkflowExpressionApprovalRole",
          "Competency",
          "Resource",
          "ResourceAttribute",
          "ResourceAddress",
          "ResourceClassification",
          "ResourceCompetency",
          "ResourceDocument",
          "ResourceEmail",
          "ResourcePhoneNumber",
          "ResourceTrade",
          "ResourceTradeCompetency",
          "ResourceTradeFinancialRate",
          "Section",
          "SectionAttribute",
          "SectionDocument",
          "SectionTrade",
          "TradeAttribute",
          "TradeDocument",
          "Trade",
          "TradeCompetency",
          "TradeFinancialRate",
          "ResourceContext",
          "ResourceFileAttachment",
          "AssetImportance",
          "RiskConsequence",
          "RiskConsequenceCategory",
          "RiskModel",
          "RiskModelConsequenceCategory",
          "RiskModelImportance",
          "RiskModelProbability",
          "RiskProbability",
          "WorkOrderImportance",
          "WorkOrderStatus",
          "WorkOrderStatusAttribute",
          "WorkOrderStatusDocument",
          "WorkOrderStatusAllowedChange",
          "WorkOrder",
          "WorkOrderStatusChangeHistory",
          "WorkOrderStatusChange",
          "WorkOrderMerge",
          "WorkOrderSplit",
          "WorkOrderMeter",
          "WorkOrderAttribute",
          "WorkOrderDocument",
          "WorkOrderFileAttachment",
          "WorkOrderTaskFileAttachment",
          "WorkOrderTaskWarranty",
          "WorkOrderTaskSpareFileAttachment",
          "WorkOrderTask",
          "WorkOrderTaskDocument",
          "WorkOrderTaskAdHocCost",
          "WorkOrderMonitoringPoint",
          "WorkOrderTaskMonitoringPoint",
          "WorkOrderTaskSpare",
          "WorkOrderTaskSubTask",
          "WorkOrderTaskResource",
          "WorkOrderTaskResourceUsage",
          "DueTask",
          "DueTaskSuppressor",
          "ProposedWorkOrderBatch",
          "ProposedWorkOrder",
          "ProposedWorkOrderTask",
          "ProposedWorkOrderMeter",
          "WorkOrderMovement",
          "WorkOrderTaskMovement",
          "WorkOrderTaskResourceMovement",
          "WorkOrderTaskSpareMovement",
          "WorkOrderTaskSubTaskMovement",
          "WorkOrderCompleteAllTasksLog",
          "WorkRequest",
          "WorkRequestAttribute",
          "WorkRequestDocument",
          "WorkRequestStatus",
          "WorkRequestStatusChange",
          "WorkRequestStatusChangeHistory",
          "WorkRequestFileAttachment",
          "WorkOrderDowntimeLoss",
          "WorkOrderProgressEvent",
          "WorkOrderProgressEventAllowedChange",
          "WorkOrderProgressLog",
          "WorkOrderWarranty",
          "ServiceLevelAgreementClassification",
          "ServiceLevelAgreement",
          "ServiceLevelAgreementMeasure",
          "WorkOrderServiceLevelAgreement",
          "WorkOrderServiceLevelAgreementMeasure",
          "ServiceLevelAgreementMeasureTrigger",
          "ServiceLevelAgreementMeasureFieldAssignment",
          "PermissionTree",
          "User",
          "UserAttribute",
          "UserDocument",
          "UserAuthentication",
          "SecurityRole",
          "SecurityRolePermission",
          "UserSecurityRole",
          "UserCustomPermission",
          "UserOption",
          "BackgroundTask",
          "BackgroundTaskStep",
          "ScheduledBackgroundTask",
          "ScheduledJob",
          "UserDefinedField",
          "UserDefinedFieldPredefinedValue",
          "SystemOption",
          "SystemOptionPageLimit",
          "SystemOptionWorkOrderStatus",
          "SystemOptionDefaultStandardTask",
          "SystemOptionWorkOrderStatusTypeOfWork",
          "SystemOptionReferenceDataViewPermission",
          "SystemOptionFileAttachmentCategory",
          "SystemOptionFileAttachmentFileType",
          "RecordChange",
          "RecordChangeValue",
          "RecordChangeUser",
          "RecordChangeProperty",
          "NotificationEventOutbox",
          "NotificationEventAttachmentOutbox",
          "NotificationOutbox",
          "NotificationOutboxLog",
          "ChangeDataTriggerCriteriaEvaluation",
          "SystemOptionReportServerEntity",
          "SystemOptionReportServerEntityDefaultReport",
          "TemplateMigrationLog",
          "TemplateMigrationLogIntent",
          "ResourceActionMigrationLog",
          "ImportSchema",
          "ImportFile",
          "UserDefinedQuery",
          "ResourceActionCustomisation",
          "TemplateCustomisation",
          "TemplateResource",
          "ClusterSettings",
          "ClusterIdentityProviderSettings",
          "MessageBrokerHost",
          "MessageBrokerTopic",
          "MessageBrokerTopicConsumer",
          "TenantSettings",
          "TenantChangeDataSubscriptionSettings",
          "TenantIdentityProviderSettings",
          "TenantJobSettings",
          "TenantFileContentStoreLocationSettings",
          "TenantFileContentStoreFileTypeGroupSettings",
          "TenantFileContentStoreFileTypeSettings",
          "ClusterFeatureToggle",
          "TenantFeatureToggle",
          "TenantHealthCheck",
          "TenantMachineHealthCheck",
          "ClusterHealthCheck",
          "ClusterMachineHealthCheck",
          "ClusterCapacitySlot",
          "TenantChangeLogCleanupExpressionSettings",
          "ClusterJobSettings",
          "Ignore"
        ]
      },
      "GetReportServerIntegrationTokenResourceActionResponse": {
        "title": "GetReportServerIntegrationTokenResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "required": [
          "properties"
        ],
        "properties": {
          "class": {
            "title": "class",
            "type": "string"
          },
          "id": {
            "title": "id",
            "type": "integer",
            "format": "int64",
            "nullable": false,
            "example": 13243893
          },
          "version": {
            "title": "version",
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "example": 1
          },
          "properties": {
            "title": "GetReportServerIntegrationTokenResourceActionResponseProperties",
            "type": "object",
            "nullable": false,
            "additionalProperties": false,
            "properties": {
              "accessToken": {
                "title": "accessToken",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "ReportServerIntegrationToken->AccessToken"
              },
              "expiresIn": {
                "title": "expiresIn",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "ReportServerIntegrationToken->ExpiresIn"
              },
              "integrationUrl": {
                "title": "integrationUrl",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "ReportServerIntegrationToken->IntegrationUrl"
              },
              "tokenType": {
                "title": "tokenType",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "ReportServerIntegrationToken->TokenType"
              }
            }
          },
          "permissionViolations": {
            "title": "permissionViolations",
            "type": "array",
            "description": "Permissions violations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPermissionViolationSchema"
            }
          },
          "translations": {
            "title": "translations",
            "type": "array",
            "description": "Custom translations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPhraseTranslationSchema"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          }
        }
      },
      "GetReportUrlResourceActionResponse2": {
        "title": "GetReportUrlResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "required": [
          "properties"
        ],
        "properties": {
          "class": {
            "title": "class",
            "type": "string"
          },
          "id": {
            "title": "id",
            "type": "integer",
            "format": "int64",
            "nullable": false,
            "example": 13243893
          },
          "version": {
            "title": "version",
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "example": 1
          },
          "properties": {
            "title": "GetReportUrlResourceActionResponseProperties",
            "type": "object",
            "nullable": false,
            "additionalProperties": false,
            "properties": {
              "url": {
                "title": "url",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "ReportServerUrl->Url"
              },
              "type": {
                "title": "type",
                "type": "string",
                "format": "enum",
                "nullable": true,
                "x-propertyPath": "ReportServerUrl->Type",
                "x-formatSpecifier": "ReportServerUrlType"
              }
            }
          },
          "permissionViolations": {
            "title": "permissionViolations",
            "type": "array",
            "description": "Permissions violations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPermissionViolationSchema"
            }
          },
          "translations": {
            "title": "translations",
            "type": "array",
            "description": "Custom translations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPhraseTranslationSchema"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          }
        }
      },
      "GetViewReportUrlResourceActionResponse": {
        "title": "GetViewReportUrlResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "required": [
          "properties"
        ],
        "properties": {
          "class": {
            "title": "class",
            "type": "string"
          },
          "id": {
            "title": "id",
            "type": "integer",
            "format": "int64",
            "nullable": false,
            "example": 13243893
          },
          "version": {
            "title": "version",
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "example": 1
          },
          "properties": {
            "title": "GetViewReportUrlResourceActionResponseProperties",
            "type": "object",
            "nullable": false,
            "additionalProperties": false,
            "properties": {
              "url": {
                "title": "url",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "ReportServerUrl->Url"
              },
              "type": {
                "title": "type",
                "type": "string",
                "format": "enum",
                "nullable": true,
                "x-propertyPath": "ReportServerUrl->Type",
                "x-formatSpecifier": "ReportServerUrlType"
              }
            }
          },
          "permissionViolations": {
            "title": "permissionViolations",
            "type": "array",
            "description": "Permissions violations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPermissionViolationSchema"
            }
          },
          "translations": {
            "title": "translations",
            "type": "array",
            "description": "Custom translations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPhraseTranslationSchema"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          }
        }
      },
      "GetReportServerDashboardsResourceActionResponse": {
        "title": "GetReportServerDashboardsResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "title": "id",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "ReportServerDashboard->Id"
          },
          "title": {
            "title": "title",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "ReportServerDashboard->Title"
          },
          "description": {
            "title": "description",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "ReportServerDashboard->Description"
          },
          "category": {
            "title": "category",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "ReportServerDashboard->Category"
          }
        }
      },
      "GetReportServerDashboardsResourceAction": {
        "title": "GetReportServerDashboardsResourceAction",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "count": {
            "title": "count",
            "type": "integer",
            "description": "Number of Report entities in the collection",
            "format": "int32",
            "nullable": false,
            "example": 2
          },
          "items": {
            "title": "items",
            "type": "array",
            "description": "Collection of Report entities",
            "items": {
              "$ref": "#/components/schemas/GetReportServerDashboardsResourceActionResponse"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          }
        }
      },
      "GetReportServerReportLanguageResourceActionResponse": {
        "title": "GetReportServerReportLanguageResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "name": {
            "title": "name",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "ReportServerReportLanguage->Name"
          },
          "displayName": {
            "title": "displayName",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "ReportServerReportLanguage->DisplayName"
          }
        }
      },
      "GetReportServerReportLanguageResourceAction": {
        "title": "GetReportServerReportLanguageResourceAction",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "count": {
            "title": "count",
            "type": "integer",
            "description": "Number of Report entities in the collection",
            "format": "int32",
            "nullable": false,
            "example": 2
          },
          "items": {
            "title": "items",
            "type": "array",
            "description": "Collection of Report entities",
            "items": {
              "$ref": "#/components/schemas/GetReportServerReportLanguageResourceActionResponse"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          }
        }
      },
      "GetReportServerReportsResourceActionResponse": {
        "title": "GetReportServerReportsResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "title": "id",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "ReportServerReport->Id"
          },
          "title": {
            "title": "title",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "ReportServerReport->Title"
          },
          "description": {
            "title": "description",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "ReportServerReport->Description"
          },
          "category": {
            "title": "category",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "ReportServerReport->Category"
          }
        }
      },
      "GetReportServerReportsResourceAction": {
        "title": "GetReportServerReportsResourceAction",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "count": {
            "title": "count",
            "type": "integer",
            "description": "Number of Report entities in the collection",
            "format": "int32",
            "nullable": false,
            "example": 2
          },
          "items": {
            "title": "items",
            "type": "array",
            "description": "Collection of Report entities",
            "items": {
              "$ref": "#/components/schemas/GetReportServerReportsResourceActionResponse"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          }
        }
      },
      "GetReportServerRolesResourceActionResponse": {
        "title": "GetReportServerRolesResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "name": {
            "title": "name",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "ReportServerRole->Name"
          }
        }
      },
      "GetReportServerRolesResourceAction": {
        "title": "GetReportServerRolesResourceAction",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "count": {
            "title": "count",
            "type": "integer",
            "description": "Number of Report entities in the collection",
            "format": "int32",
            "nullable": false,
            "example": 2
          },
          "items": {
            "title": "items",
            "type": "array",
            "description": "Collection of Report entities",
            "items": {
              "$ref": "#/components/schemas/GetReportServerRolesResourceActionResponse"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          }
        }
      },
      "GetReportServerTagsResourceActionResponse": {
        "title": "GetReportServerTagsResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "title": "id",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "ReportServerTag->Id"
          },
          "parentId": {
            "title": "parentId",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "ReportServerTag->ParentId"
          },
          "name": {
            "title": "name",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "ReportServerTag->Name"
          },
          "color": {
            "title": "color",
            "type": "string",
            "nullable": true,
            "x-propertyPath": "ReportServerTag->Color"
          },
          "documentCount": {
            "title": "documentCount",
            "type": "integer",
            "format": "int64",
            "nullable": true,
            "x-propertyPath": "ReportServerTag->DocumentCount"
          },
          "isFavorites": {
            "title": "isFavorites",
            "type": "boolean",
            "nullable": true,
            "x-propertyPath": "ReportServerTag->IsFavorites"
          },
          "order": {
            "title": "order",
            "type": "integer",
            "format": "int64",
            "nullable": true,
            "x-propertyPath": "ReportServerTag->Order"
          }
        }
      },
      "GetReportServerTagsResourceAction": {
        "title": "GetReportServerTagsResourceAction",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "count": {
            "title": "count",
            "type": "integer",
            "description": "Number of Report entities in the collection",
            "format": "int32",
            "nullable": false,
            "example": 2
          },
          "items": {
            "title": "items",
            "type": "array",
            "description": "Collection of Report entities",
            "items": {
              "$ref": "#/components/schemas/GetReportServerTagsResourceActionResponse"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "messages": {
[...]
